package imt.concours;

import java.util.Optional;

import imt.ingredients.Plat;
import imt.personnes.Chef;
import lombok.Data;
import lombok.With;

@Data
public class Proposition {
	private final Plat platPropose;
	private final Chef chef;
	@With
	private final Optional<Integer> note;

	private Proposition(Plat platPropose, Chef chef, Optional<Integer> note) {
		this.platPropose = platPropose;
		this.chef = chef;
		this.note = note;
	}

	public Proposition(Plat platPropose, Chef chef) {
		this(platPropose, chef, Optional.empty());
	}
}
